Create or update a transcoding template
Updated
Creates or updates a transcoding template.
https://api.sd-rtn.com/v1/projects/{appId}/rtls/abr/config/codecs/{codecId}Create or update a transcoding template under the specified App ID.
Path Parameters
appIdstringThe App ID of the project
codecIdstringThe ID of the transcoding template.
Header Parameters
Content-TypestringThe request content type. Use application/json.
Request Body
application/json
enabledbooleanWhether to enable this transcoding template:
true: Enable the templatefalse: Do not enable the template
videoobjectwidthnumberMaximum value: 1920
The width of the transcoded output video (px).
heightnumberMaximum value: 1920
The height of the transcoded output video (px).
fpsnumberMaximum value: 60
The frame rate (fps) of the transcoded output video.
Response
-
If the returned status code is
200, the request was successful. The response body contains the result of the request. -
If the returned status code is not
200, the request failed. The response body includes thedetailandreasonfor failure. Refer to status codes to understand the possible reasons for failure.
Response Body
The request succeeded.
statusstringThe status of the request.
Status of this request:
- success: The request was successful.
- error: The request failed.
Response example
{
"status": "Status of this request:\n- `success`: Request was successful.\n- `error`: Request failed.\n"
}
Request examples
curl --request post \ --url https://api.sd-rtn.com/v1/projects/:appId/rtls/abr/config/codecs/:codecId \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: <string>'Response example
{ "status": "success"}